using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest.Messages
{
    public struct LightBulbSpawnMessage : IMessage
    {
        public Transform3D Transform { get; }
        public Color Color { get; }
        public float Intensity { get; }

        public LightBulbSpawnMessage(Transform3D transform, Color color, float intensity)
        {
            Transform = transform;
            Color = color;
            Intensity = intensity;
        }
    }
}
